Subject: Re: [PATCH v3 0/4] refs/files: fix issues with git-fetch on case-insensitive FS

From: Junio C Hamano <[email-masked]>
Date: Tue, 16 Sep 2025 14:53:28 -0700

Karthik Nayak <[email-masked]> writes:

> Changes in v3:
> - Rename duplicate_reference_case_cmp() to
>   transaction_has_case_conflicting_update() and add comments.
> - Improve commit messages.
> - Add an additional test in the 4th commit to showcase D/F conflicts in
>   case-sensistive file systems.
> - Link to v2: https://lore.kernel.org/r/20250908-587-git-fetch-1-[email-masked]

I think I like this "latest first and then historical" order in the
cover letter much better than the other way around.

I see that this topic is pretty much done?  There still are a few
questions from Justin's reply that may want to be answered, but I
have a feeling that the answer to them would not require a new
iteration.

Looking good.  Thanks.